import Api,{ HttpResponse, Result } from './../utils/request';


class CloudDiskService{

    static async CheckCloudInfo(parms:any):Promise<HttpResponse>{
        let msg = parms
        return Api.Post("ppt_CheckCloudInfo",msg)
    }

    static async RemovePPTCloudInfo(DetailsId:String):Promise<HttpResponse>{
        let msg = {DetailsId}
        return Api.Post("ppt_RemovePPTCloudInfo",msg)
    }

    static async GetPPTCloudList(GName:String):Promise<HttpResponse>{
        let msg = {GName}
        return Api.Post("ppt_GetMyCloudList",msg)//ppt_GetPPTCloudList
    }

    static async GetPPTCloudInfoPage(params:any):Promise<HttpResponse>{
        return Api.Post("ppt_GetMyPPTCloudInfoPage",params)//ppt_GetPPTCloudInfoPage
    }

    static async RemovePPTCloudGroup(Id:Number):Promise<HttpResponse>{
        let msg = {Id}
        return Api.Post("ppt_RemovePPTCloudGroup",msg)
    }

    static async SetPPTCloudGroup(params:any):Promise<HttpResponse>{
        return Api.Post("ppt_SetPPTCloudGroup",params)
    }

}
export default CloudDiskService;